Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1872781 - Review Request: lxqt-archiver - A simple & lightweight desktop-agnostic Qt file archiver
Summary: Review Request: lxqt-archiver - A simple & lightweight desktop-agnostic Qt fi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1830731 1839762
TreeView+ depends on / blocked
 
Reported: 2020-08-26 15:31 UTC by Zamir SUN
Modified: 2020-09-25 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 05:41:55 UTC
Type: Bug
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Zamir SUN 2020-08-26 15:31:51 UTC
SPEC URL: https://zsun.fedorapeople.org/pub/pkgs/lxqt-archiver/lxqt-archiver.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/lxqt-archiver/lxqt-archiver-0.2.0-1.fc32.src.rpm

Description: A simple & lightweight desktop-agnostic Qt file archiver

Copr build: https://copr.fedorainfracloud.org/coprs/zsun/lxqt/build/1635583/

rpmlint:

$ rpmlint /home/zsun/rpmbuild/SRPMS/lxqt-archiver-0.2.0-1.fc32.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint lxqt-archiver-0.2.0-1.fc34.x86_64.rpm 
lxqt-archiver.x86_64: W: no-manual-page-for-binary lxqt-archiver
Error checking signature of lxqt-archiver-0.2.0-1.fc34.x86_64.rpm: lxqt-archiver-0.2.0-1.fc34.x86_64.rpm: digests SIGNATURES NOT OK
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint lxqt-archiver-l10n-0.2.0-1.fc34.noarch.rpm 
Error checking signature of lxqt-archiver-l10n-0.2.0-1.fc34.noarch.rpm: lxqt-archiver-l10n-0.2.0-1.fc34.noarch.rpm: digests SIGNATURES NOT OK
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: zsun

Comment 1 Robert-André Mauchin 🐧 2020-08-27 21:58:39 UTC
 - Not needed in the l10n subpackage since it depends on the main one

%doc CHANGELOG AUTHORS README.md
%license LICENSE

 - Please BR gcc-c++ explicitly

%if 0%{?el7}
BuildRequires:  devtoolset-7-gcc-c++
%else
BuildRequires:  gcc-c++
%endif

 - Add a comment for each patch to describe what they do:

Patch0: https://github.com/lxqt/lxqt-archiver/commit/ecec793534c841cce935093d1e08b9aa227565a8.patch
Patch1: https://github.com/lxqt/lxqt-archiver/commit/b968e339bebe80ddd017ddf16f70bee52261e533.patch

 - Consider providing an Appdata file: https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "GNU General Public License v2.0 or later", "*No copyright*
     [generated file]", "GNU General Public License". 48 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/lxqt-archiver/review-lxqt-
     archiver/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/lxqt-archiver, /usr/libexec/lxqt-
     archiver
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lxqt-
     archiver-l10n
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lxqt-archiver-0.2.0-1.fc34.x86_64.rpm
          lxqt-archiver-l10n-0.2.0-1.fc34.noarch.rpm
          lxqt-archiver-debuginfo-0.2.0-1.fc34.x86_64.rpm
          lxqt-archiver-debugsource-0.2.0-1.fc34.x86_64.rpm
          lxqt-archiver-0.2.0-1.fc34.src.rpm
lxqt-archiver.x86_64: W: no-manual-page-for-binary lxqt-archiver
5 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Robert-André Mauchin 🐧 2020-08-27 22:08:24 UTC
 - Also own these directories:

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/lxqt-archiver, /usr/libexec/lxqt-
     archiver

Comment 4 Robert-André Mauchin 🐧 2020-09-02 16:07:35 UTC
Perfect, package approved.

Comment 5 Gwyn Ciesla 2020-09-03 16:16:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/lxqt-archiver

Comment 6 Zamir SUN 2020-09-05 05:41:55 UTC
Package built in Fedora 33 and Rawhide. Closing.

Comment 7 Fedora Update System 2020-09-05 05:42:19 UTC
FEDORA-2020-451a75cdaf has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-451a75cdaf

Comment 8 Fedora Update System 2020-09-05 21:39:53 UTC
FEDORA-2020-451a75cdaf has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-451a75cdaf \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-451a75cdaf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-25 16:48:12 UTC
FEDORA-2020-451a75cdaf has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.